<template>
  <div class="HashCard">
    <div class="hashrate">
      <img v-if="type == 0" src="/images/hashrate/polling.png" alt="" />
      <img v-if="type == 1" src="/images/hashrate/realTime2.png" alt="" />
      <img v-if="type == 2" src="/images/hashrate/static.png" alt="" />
      <div class="hashrateContent">
        <div class="label" v-if="type == 0">轮询算力</div>
        <div class="label" v-if="type == 1">实时算力</div>
        <div class="label" v-if="type == 2">数据栈算力</div>
        <div class="data">
          <span class="number">{{ hashrate.total }}</span
          >路
        </div>
      </div>
    </div>
    <div class="detail">
      <div class="detailItem">
        <div class="label">
          <span class="iconfont">&#xe62f;</span>打开分析开关
        </div>
        <div class="data">
          <span class="number">{{ hashrate.valid }}</span
          >路
        </div>
      </div>
      <div class="detailItem">
        <div class="label"><span class="iconfont">&#xe62d;</span>算法不全</div>
        <div class="data">
          <span class="number">{{ hashrate.invalid }}</span
          >路
        </div>
      </div>
      <div class="detailItem">
        <div class="label"><span class="iconfont">&#xe632;</span>正在分析</div>
        <div class="data">
          <span class="number">{{ hashrate.run }}</span
          >路
        </div>
      </div>
      <div class="detailItem">
        <div class="label" title="因未知原因未处理">
          <span class="iconfont">&#xe631;</span>因未知原因未处理
        </div>
        <div class="data">
          <span class="number">{{ hashrate.noDeal }}</span
          >路
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    type: {},
    hashrate: {},
  },
  data() {
    return {};
  },
};
</script>

<style lang="scss" scoped>
.HashCard {
  overflow: hidden;
  height: 156px;
  background-color: #fff;
  display: flex;
  justify-content: space-between;

  .hashrate {
    margin-left: 20px;
    margin-right: 34px;
    margin-top: 42px;
    display: flex;
    justify-content: center;

    img {
      margin-right: 10px;
      width: 72px;
      height: 72px;
    }

    .hashrateContent {
      .label {
        margin-bottom: 4px;
        font-size: 14px;
      }

      .data {
        font-size: 16px;
        font-weight: 700;
        .number {
          font-size: 32px;
        }
      }
    }
  }

  .detail {
    box-sizing: border-box;
    padding: 20px 20px 20px 0px;
    flex: 1;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    .detailItem {
      padding-top: 6px;
      overflow: hidden;
      box-sizing: border-box;
      width: 50%;
      height: 50%;
      text-align: center;

      .label {
        font-size: 12px;
        color: #666;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        span {
          vertical-align: -2px;
          margin-right: 5px;
          font-size: 18px;
        }
      }

      .data {
        margin-top: 4px;
        font-size: 12px;
        font-weight: 700;
        .number {
          font-size: 24px;
        }
      }

      &:nth-child(1) {
        border-right: 1px solid #e9ebee;
        border-bottom: 1px solid #e9ebee;
      }

      &:nth-child(2) {
        border-bottom: 1px solid #e9ebee;
      }

      &:nth-child(3) {
        border-right: 1px solid #e9ebee;
      }
    }
  }
}
</style>